# Yahoo! UI Library

### TreeView Widget 2.8.2r1

Yahoo! UI Library > treeview > YAHOO.widget.TVFadeOut
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.TVFadeOut

A 1/2 second fade out animation.

### Constructor

YAHOO.widget.TVFadeOut `( el , callback )`

Parameters:
  `el <HTMLElement>` the element to animate
  `callback <Function>` function to invoke when the animation is finished

### Properties

#### callback - `function`

the callback to invoke when the animation is complete

#### el - `HTMLElement`

The element to animate

### Methods

#### animate

`void animate ( )`
Performs the animation

#### onComplete

`void onComplete ( )`
Clean up and invoke callback

#### toString

`string toString ( )`
toString

Returns: `string`
  the string representation of the instance

Copyright © 2010 Yahoo! Inc. All rights reserved.